AudioSampleValue.h File Reference
`#include "CvrStgFile.h"`
`#include "SampleValue.h"`
`#include "common.h"`

Go to the source code of this file.

## Classes

class | AudioSampleValue< Type, ValueType >
| a class representing an audio sample More...

## Enumerations

enum | AUDIOSAMPLETYPE { AuMuLaw , AuPCM8 , AuPCM16 , AuPCM32 }

## Enumeration Type Documentation

## AUDIOSAMPLETYPE

enum AUDIOSAMPLETYPE

An enumeration containing all audio sample types. This enumeration is used as template parameter for AudioSampleValue and AudioData to identify the correct implementation for a given audio format.

Enumerator
AuMuLaw | au 8 Bit mu-law
AuPCM8 | au 8 Bit linear pcm
AuPCM16 | au 16 Bit linear pcm
AuPCM32 | au 32 Bit linear pcm